[jitsi-dev] Unable to resolve 274.0: missing requirement [274.0] package; (package=org.jivesoftware.smackx.workgroup))


#1

Hi All,

         If I add "org.jivesoftware.smackx.workgroup.agent" in
jabber.provider.manifest.mf it is giving an Error

Unable to resolve 274.0: missing requirement [274.0] package;
(package=org.jivesoftware.smackx.workgroup))

It has already using all other packages in this jar. But When I introduced
this in manifest ; giving the above error.

Anybody know how to solve this?

Regards,
Haridas


#2

Hi,

did you check is this package exported from the smacklib bundle?
It is in lib/installer-exclude/smack.manifest.mf
Every import must be exported.

Regards
damencho

···

On Thu, Jul 25, 2013 at 1:25 PM, haridas karunakaran Pillai <haridaskpillai@gmail.com> wrote:

Hi All,

         If I add "org.jivesoftware.smackx.workgroup.agent" in
jabber.provider.manifest.mf it is giving an Error

Unable to resolve 274.0: missing requirement [274.0] package;
(package=org.jivesoftware.smackx.workgroup))

It has already using all other packages in this jar. But When I introduced
this in manifest ; giving the above error.

Anybody know how to solve this?

Regards,
Haridas

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev


#3

Hurrraaayyyyy....
Thanks My Dear Friend....
Thanks a lot....

It works....

Regards,
Haridas

···

On Thu, Jul 25, 2013 at 3:58 PM, Damian Minkov <damencho@jitsi.org> wrote:

Hi,

did you check is this package exported from the smacklib bundle?
It is in lib/installer-exclude/smack.manifest.mf
Every import must be exported.

Regards
damencho

On Thu, Jul 25, 2013 at 1:25 PM, haridas karunakaran Pillai > <haridaskpillai@gmail.com> wrote:
> Hi All,
>
> If I add "org.jivesoftware.smackx.workgroup.agent" in
> jabber.provider.manifest.mf it is giving an Error
>
> Unable to resolve 274.0: missing requirement [274.0] package;
> (package=org.jivesoftware.smackx.workgroup))
>
> It has already using all other packages in this jar. But When I
introduced
> this in manifest ; giving the above error.
>
> Anybody know how to solve this?
>
> Regards,
> Haridas
>
>
>
> _______________________________________________
> dev mailing list
> dev@jitsi.org
> Unsubscribe instructions and other list options:
> http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

--
So close , No matter how far